# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_imagesearch 0.18.2 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_imagesearch".freeze
  s.version = "0.18.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_imagesearch" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2022-10-31"
  s.description = "Microsoft Azure Cognitive Services Image Search Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/image_search_client.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/images_operations.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/aggregate_offer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/aggregate_rating.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/collection_page.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/creative_work.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/currency.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/error_sub_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/freshness.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_aspect.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_color.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_content.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_crop_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_gallery.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_insight_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_insights.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_insights_image_caption.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_license.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_object.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_size.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_tags_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/image_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/images.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/images_image_metadata.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/images_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/insights_tag.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/intangible.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/item_availability.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/media_object.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/normalized_rectangle.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/offer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/organization.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/person.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/pivot_suggestions.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/properties_item.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/query.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/rating.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/recipe.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/recipes_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/recognized_entities_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/recognized_entity.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/recognized_entity_group.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/recognized_entity_region.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/related_collections_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/related_searches_module.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/safe_search.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/search_results_answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/structured_value.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/thing.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/trending_images.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/trending_images_category.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/trending_images_tile.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/models/web_page.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_imagesearch/module_definition.rb".freeze, "lib/azure_cognitiveservices_imagesearch.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/imagesearch_latest_profile_client.rb".freeze, "lib/profiles/latest/imagesearch_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/imagesearch_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Image Search.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
